package com.gic.haoban.manage.api.service.content;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.content.MaterialConvertDTO;
import com.gic.haoban.manage.api.dto.anaylsis.ClerkShareGoodsLogDTO;
import com.gic.haoban.manage.api.dto.content.log.ClerkShareMaterialLogDTO;

import java.util.List;

/**
 * @Author MUSI
 * @Date 2023/3/18 8:20 PM
 * @Description
 * @Version
 *
 * 素材分享日志
 **/
public interface MaterialShareLogApiService {

    /**
     * 保存导购分享记录
     * @param clerkShareMaterialLogDTO
     * @return
     */
    ServiceResponse<Long> saveClerkShareMaterialLog(ClerkShareMaterialLogDTO clerkShareMaterialLogDTO);


    /**
     * 转换素材id
     * @param materialConvertDTO
     * @return
     */
    ServiceResponse<List<String>> convertMaterialId(MaterialConvertDTO materialConvertDTO);

    /**
     * 保存导购分享记录
     *
     * @param clerkShareGoodsLogDTOList
     * @return
     */
    ServiceResponse<Long> saveClerkShareRecommendLog(List<ClerkShareGoodsLogDTO> clerkShareGoodsLogDTOList);
}
