package com.gic.haoban.manage.web.qo.eventtracking;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/5/30 9:14
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class WechatOverviewQO implements Serializable {

    /**
     * yyyy-MM-dd
     */
    private String startDate;

    private String endDate;

    /**
     * 数据类型 1天 2近7天 3近30天 4周 5月
     */
    private Integer dateType;

    /**
     * 分组ID，可为空
     */
    private String storeGroupId;

    /**
     * 门店ID。可为空
     */
    private String storeId;

    /**
     * 业务类型：1：导购，2：区经/督导
     */
    private Integer clerkBizType = 1;
}
