package com.gic.haoban.manage.api.service.contact;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.contact.ContactConfigDTO;

public interface ContactConfigApiService {

    /**
     * 保存建联配置
     *
     * @param contactConfig
     */
    ServiceResponse<Void> saveContactConfig(ContactConfigDTO contactConfig);

    /**
     * 获取建联配置
     * @param enterpriseId
     * @return
     */
    ServiceResponse<ContactConfigDTO> getContactConfig(String enterpriseId);


}
